{% extends 'base.html.twig' %}

{% block title %}homepage{% endblock %}

{% block body %}

<div class="ad-title" style="background-image: url(../{{ad.getCoverImage()}})">
<div class="container">
<h1>{{ad.title}}</h1>
<p>{{ad.introduction}}</p>
<p class="h2">{{ad.rooms}} chambres pour {{ad.price}} &euro;</p>
<a href="{{path('booking_create',{'id':ad.id})}}" class="btn btn-primary"> reserver </a>
{%if app.user and app.user == ad.author%}
<a href="{{path('ads_edit',{'id':ad.id})}}" class="btn btn-secondary"> edit </a>
<a href="{{path('ads_delete',{'id':ad.id})}}" class="btn btn-danger" onclick="return confirm(are you sure)"> delete </a>
{%endif%}
</div></div>

<div class="container">
<div class="row">

<div class="col-md-8 mb-3">{{ad.content}}
<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
  <ol class="carousel-indicators">
  {% for image in ad.images%}
    <li data-target="#carouselExampleIndicators" data-slide-to="{{loop.index0}}"
    {%if loop.first%} class="active"{%endif%}>></li>
    {%endfor%}
  </ol>
  <div class="carousel-inner">
  {% for image in ad.images%}
  <div class="carousel-item {%if loop.first%} active{%endif%}">
    <img src="../{{image.url}}" class="d-block w-100" alt="...">
    <div class="carousel-caption d-none d-md-block">
    <h5>{{ad.title}}</h5>
    <p>{{image.caption}}</p>
    </div>
  </div>
  {%endfor%}
  </div>
  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
    <span class="sr-only">Previous</span>
  </a>
  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
    <span class="carousel-control-next-icon" aria-hidden="true"></span>
    <span class="sr-only">Next</span>
  </a>
</div>
</div>

{%if ad.comments|length >0 %}
<h2 class="mb-3">comments</h2>
<div class="alert alert-info">
<h4 class="alert-heading text-center">
<div class="row align-items-center">
<div class="col">
le global donne par voyageurs<br>
calcule sur {{ad.comments|length}} avis est {{ad.getAvgRatings()}}</div>
<div class="col">
{% include 'partials/rating.html.twig' with {'rating':ad.getAvgRatings()}%}
</div></div></h4></div>

{%for comment in ad.comments%}
<div class="bg-light rounded mb-3 py-3 px-3">
{{comment.author.firstName}} a dit:
<blockquote>
{{comment.content}}
</blockquote>
rating by {{comment.author.firstName}}: {{comment.rating}}
{%include 'partials/rating.html.twig' with{'rating':comment.rating}%}
</div>
{%endfor%}
{%else%}
<h2>no comments</h2>
{%endif%}

<div class="col md-4">
<div class="row">
<div class="col-4">
<a href="{{path('user',{'id':ad.author.id})}}">
<img src="../{{ad.author.picture}}" width="100%"></a></div>
<div class="col">
<h3><a href="{{path('user',{'id':ad.author.id})}}">{{ad.author.firstName}}</a></h3>
<span class="badge badge-primary">{{ad.author.ads | length}} annonces</span>
</div>
<p>
{{ad.author.description}}</p></div></div>
</div>
</div></div>

{%endblock %}
